<template>
  <el-popover
    placement="bottom-start"
    width="200"
    trigger="hover"
  >
    <p>{{ detail }}</p>
    <el-tag
      slot="reference"
      data-value="Ceiling"
      type="info"
      class="tags"
      @click="push"
    >
      {{ name }}
    </el-tag>
  </el-popover>
</template>
<script>
export default {
  name: 'BaseTag',
  props: {
    name: { type: String, default: '' },
    detail: { type: String, default: '' },
    val: { type: String, default: '' },
    type: { type: String, default: '' }

  },
  data() {
    return { isShow: false }
  },
  methods: {
    push() {
      this.$emit('push', this.val, this.type, this.detail)
    }
  }
}
</script>
